Servers - Bug #1253

[repo] torrent creation causes EXT4-fs warnings.
2017-03-22 04:24 PM - lukeshu

Status: fixed % Done: 100%
Priority: bug

Assignee: lukeshu

Category:

Description

Every time make_repo_torrents runs, dmesg spits out

EXT4-fs warning: 1985 callbacks suppressed

EXT4-fs warning (device vdad): extd_dx_add_entry:2228: inode #75170089: comm mktorrent: Directory
index full!

(previous line repeated 9 more times)

The number in "XXXX callbacks suppressed"” fluctuates in the range 1600-2000, but the numbers in the "Directory index full"
messages are always the same.

When | first saw this, | checked df -i to check the inode utilization, but everything was only around 1% use. So, | rebooted the server
and had it run fsck; but the issue has persisted. Because the numbers are always the same, perhaps it is an issue that the "preen”
fsck level won't find/fix. Or perhaps, the script is just flooding temporary inodes that get cleanup up, and the directory it puts them in
has a stable inode.

History

#1 - 2018-09-27 04:17 PM - lukeshu
- % Done changed from 0 to 100

- Assignee set to lukeshu

This seems to have been resolved with dbscripts v20180925.x

With 20180925, cleanup of old torrent files was moved from make_repo_torrents to db-cleanup, which changed the torrent file retention policy
changed from "keep the .torrent for 1 year" to db-cleanup's usual "keep the file for as long as it's mentioned in the .db's (plus the lag of only running
every other day)".

This reduced the number of entries in /srv/repo/main/torrents/ from ~120,000 to ~20,000.

db-cleanup ran at at 14:13:00 GMT this morning; make_repo_torrents has run twice since then, with no errors. No dmesg messages since the
14:00:00 GMT make_repo_torrents run, either.

#2 - 2018-09-27 04:17 PM - lukeshu

- Status changed from open to fixed
